Package wx :: Package lib :: Package analogclock :: Package lib_setup :: Module buttontreectrlpanel :: Class ButtonTreeCtrlPanel

[frames | no frames]

## Type ButtonTreeCtrlPanel

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                            ButtonTreeCtrlPanel

Known Subclasses:
  `StylesPanel`

Method Summary
| `__init__(self, parent, id, pos, size, style)`
| `AddItem(self, label, bmp, parent, style, value)`
| `CollapseItem(self, item)`
| `EnsureFirstVisible(self)`
| `ExpandItem(self, item)`
| `GetAllItems(self)`
| `GetItemByLabel(self, label, parent)`
| `GetItemsChecked(self, parent)`
| `GetItemsTri(self, parent)`
| `GetItemsUnchecked(self, parent)`
| `GetItemValue(self, item)`
| `GetRootItems(self)`
| `GetStringItemsChecked(self, parent)`
| `GetStringItemsTri(self, parent)`
| `GetStringItemsUnchecked(self, parent)`
| `GetStringRootItems(self)`
| `OnLeftClicks(self, evt)`
| `OnRightClick(self, evt)`
| `OnSize(self, evt)`
| `SetItemValue(self, item, value)`

Property Summary

Class Variable Summary
`PyEmbeddedImage` | `checkbox_checked` = `<wx.lib.embeddedimage.PyEmbeddedImage...`
`PyEmbeddedImage` | `checkbox_tri` = `<wx.lib.embeddedimage.PyEmbeddedImage obj...`
`PyEmbeddedImage` | `checkbox_unchecked` = `<wx.lib.embeddedimage.PyEmbeddedIma...`
`PyEmbeddedImage` | `radiobox_checked` = `<wx.lib.embeddedimage.PyEmbeddedImage...`
`PyEmbeddedImage` | `radiobox_unchecked` = `<wx.lib.embeddedimage.PyEmbeddedIma...`

Class Variable Details

### checkbox_checked

  Type:
    `PyEmbeddedImage`
  Value:

        <wx.lib.embeddedimage.PyEmbeddedImage object at 0x17e3550>

### checkbox_tri

  Type:
    `PyEmbeddedImage`
  Value:

        <wx.lib.embeddedimage.PyEmbeddedImage object at 0x17e3590>

### checkbox_unchecked

  Type:
    `PyEmbeddedImage`
  Value:

        <wx.lib.embeddedimage.PyEmbeddedImage object at 0x17e3490>

### radiobox_checked

  Type:
    `PyEmbeddedImage`
  Value:

        <wx.lib.embeddedimage.PyEmbeddedImage object at 0x17e34d0>

### radiobox_unchecked

  Type:
    `PyEmbeddedImage`
  Value:

        <wx.lib.embeddedimage.PyEmbeddedImage object at 0x17e3510>

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:51:46 2009 | http://epydoc.sf.net